Subject: [Sipping] [Technical Errata Reported] RFC3665 (5294)

From: RFC Errata System <[email-masked]>
Date: Thu, 22 Mar 2018 08:56:25 -0700 (PDT)

The following errata report has been submitted for RFC3665,
"Session Initiation Protocol (SIP) Basic Call Flow Examples".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata/eid5294

--------------------------------------
Type: Technical
Reported by: Yehoshua Gev <[email-masked]>

Section: 3.1

Original Text
-------------
BYE sip:[email-masked] SIP/2.0

Corrected Text
--------------
BYE sip:[email-masked];transport=tcp SIP/2.0

Notes
-----
In Example 3.1, the URI of the Contact header field of the INVITE request (F1) containes a parameter "transport=tcp".
According to section 12.2.1.1 of RFC 3261, this URI should be used as the Request-URI for Bob sending requests within this dialog.
As there is no explicit text about omitting parameters from the URI, the Request-URI should contain the "transport=tcp" parameter.
Hence, the Request-URI of the BYE request (F5) should contain the parameter.

It seems that the this problem was reported some years ago in the sip-implementors list:
https://lists.cs.columbia.edu/pipermail/sip-implementors/2006-July/013507.html

The same problem appear in other examples, specifically 3.2 and 3.6.

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party  
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC3665 (draft-ietf-sipping-basic-call-flows-02)
--------------------------------------
Title               : Session Initiation Protocol (SIP) Basic Call Flow Examples
Publication Date    : December 2003
Author(s)           : A. Johnston, S. Donovan, R. Sparks, C. Cunningham, K. Summers
Category            : BEST CURRENT PRACTICE
Source              : Session Initiation Proposal Investigation
Area                : Real-time Applications and Infrastructure
Stream              : IETF
Verifying Party     : IESG